#!/bin/bash

PROJECT_DIR=`dirname $0`
CONFIG_FILE=$PROJECT_DIR/config.sh

if [[ -f $CONFIG_FILE ]]; then
	. $CONFIG_FILE
fi

include myread.sh
include test.sh
include subnets.sh
include shared-networks.sh
include pools.sh
include hosts.sh

CONTENTS="$(<$DHCPD_CONFIG_FILE)"

test_all "$CONTENTS"
